public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-db/opendbx/files/, dev-db/opendbx/
@ 2019-07-07 13:33 Manuel Rüger
  0 siblings, 0 replies; only message in thread
From: Manuel Rüger @ 2019-07-07 13:33 UTC (permalink / raw
  To: gentoo-commits

commit:     235dddceafe2e44973fed6da4feadc29c6f3918a
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  7 13:32:46 2019 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Jul  7 13:33:20 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=235dddce

dev-db/opendbx: Add patch to make building manpages optional

Package-Manager: Portage-2.3.68, Repoman-2.3.16
Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>

 dev-db/opendbx/files/opendbx-man-optional.patch | 23 ++++++++
 dev-db/opendbx/metadata.xml                     |  3 ++
 dev-db/opendbx/opendbx-1.4.6-r3.ebuild          | 70 +++++++++++++++++++++++++
 3 files changed, 96 insertions(+)

diff --git a/dev-db/opendbx/files/opendbx-man-optional.patch b/dev-db/opendbx/files/opendbx-man-optional.patch
new file mode 100644
index 00000000000..c8a55a0ed36
--- /dev/null
+++ b/dev-db/opendbx/files/opendbx-man-optional.patch
@@ -0,0 +1,23 @@
+From 261a864f7c8823093accfe751ef1863d716a4d53 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Manuel=20R=C3=BCger?= <mrueg@gentoo.org>
+Date: Sun, 7 Jul 2019 15:22:16 +0200
+Subject: [PATCH] configure.ac: Make building manpages optional
+
+
+diff --git a/configure.ac b/configure.ac
+index 2f74bf8..5f98de5 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -96,7 +96,8 @@ AC_CHECK_PROG([doxygen], [doxygen], [yes], [no])
+ if test "x${db2man}" != xyes; then AC_MSG_RESULT([Warning: docbook man page converter not found - skip generating man pages]); fi
+ if test "x${doxygen}" != xyes; then AC_MSG_RESULT([Warning: doxygen not found - skip generating man pages]); fi
+ 
+-AM_CONDITIONAL([ENABLEMAN], [test "x${db2man}" = xyes -a "x${doxygen}" = xyes])
++AC_ARG_ENABLE([manpages], [AS_HELP_STRING([--enable-manpages], [build man pages])], [manpages="${enableval}"], [manpages=yes])
++AM_CONDITIONAL([ENABLEMAN], [test "x${db2man}" = xyes -a "x${doxygen}" = xyes -a "x${manpages}" = xyes])
+ 
+ 
+ # Build options
+-- 
+2.21.0
+

diff --git a/dev-db/opendbx/metadata.xml b/dev-db/opendbx/metadata.xml
index 92db6f74424..3b864d71566 100644
--- a/dev-db/opendbx/metadata.xml
+++ b/dev-db/opendbx/metadata.xml
@@ -5,4 +5,7 @@
 	<email>alicef@gentoo.org</email>
 	<name>Alice Ferrazzi</name>
 </maintainer>
+<use>
+	<flag name="man">Build and install man pages</flag>
+</use>
 </pkgmetadata>

diff --git a/dev-db/opendbx/opendbx-1.4.6-r3.ebuild b/dev-db/opendbx/opendbx-1.4.6-r3.ebuild
new file mode 100644
index 00000000000..425a43a399a
--- /dev/null
+++ b/dev-db/opendbx/opendbx-1.4.6-r3.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="OpenDBX - A database abstraction layer"
+HOMEPAGE="https://www.linuxnetworks.de/doc/index.php/OpenDBX"
+SRC_URI="https://www.linuxnetworks.de/opendbx/download/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="firebird +man +mysql oracle postgres sqlite"
+RESTRICT="firebird? ( bindist )"
+
+RDEPEND="mysql? ( dev-db/mysql-connector-c:0= )
+	postgres? ( dev-db/postgresql:* )
+	sqlite? ( dev-db/sqlite:3 )
+	oracle? ( dev-db/oracle-instantclient-basic )
+	firebird? ( dev-db/firebird )"
+DEPEND="${RDEPEND}
+	man? ( app-doc/doxygen
+		app-text/docbook2X )"
+
+REQUIRED_USE="|| ( firebird mysql oracle postgres sqlite )"
+
+PATCHES=( "${FILESDIR}/${PN}-doxy.patch"
+	"${FILESDIR}/${PN}-man-optional.patch" )
+
+pkg_setup() {
+	if use oracle && [[ ! -d ${ORACLE_HOME} ]]
+	then
+		die "Oracle support requested, but ORACLE_HOME not set to a valid directory!"
+	fi
+}
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	local backends=""
+
+	use firebird && backends="${backends} firebird"
+	use mysql && backends="${backends} mysql"
+	use oracle && backends="${backends} oracle"
+	use postgres && backends="${backends} pgsql"
+	use sqlite && backends="${backends} sqlite3"
+
+	use mysql && append-cppflags -I/usr/include/mysql
+	use firebird && append-cppflags -I/opt/firebird/include
+	use oracle && append-ldflags -L"${ORACLE_HOME}"/lib
+
+	econf --with-backends="${backends}" --enable-manpages="$(usex man yes no)"
+}
+
+src_compile() {
+	# bug #322221
+	emake -j1
+}
+
+src_install() {
+	emake -j1 install DESTDIR="${D}"
+	dodoc AUTHORS ChangeLog README
+
+	rm -f "${D}"/usr/$(get_libdir)/opendbx/*.{a,la}
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2019-07-07 13:33 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-07-07 13:33 [gentoo-commits] repo/gentoo:master commit in: dev-db/opendbx/files/, dev-db/opendbx/ Manuel Rüger

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox